columns_dot_product.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/typedefs.hpp>`
`#include <stan/math/prim/mat/err/check_vector.hpp>`
`#include <stan/math/prim/arr/err/check_matching_sizes.hpp>`
`#include <stan/math/prim/scal/fun/value_of.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/rev/mat/fun/typedefs.hpp>`
`#include <stan/math/rev/scal/fun/value_of.hpp>`
`#include <stan/math/rev/mat/fun/dot_product.hpp>`
`#include <boost/utility/enable_if.hpp>`
`#include <boost/type_traits.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T1 , int R1, int C1, typename T2 , int R2, int C2>
boost::enable_if_c< boost::is_same< T1, var >::value||boost::is_same< T2, var >::value, Eigen::Matrix< var, 1, C1 > >::type | stan::math::columns_dot_product (const Eigen::Matrix< T1, R1, C1 > &v1, const Eigen::Matrix< T2, R2, C2 > &v2)

[ Stan Home Page ] © 2011–2016, Stan Development Team.